# Update User attributes. Update User Profile attributes such as First Name, Last Name, Friendly Name, Email, Company, Country, Contact, Phone, and User Role. The user role can be updated by sending either role id or role name. Endpoint: PATCH /user/{id} Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. ## Path parameters: - `id` (string, required) Specify a User Profile ID. ## Request fields (application/json): - `firstName` (string) First Name of the user Example: "John" - `lastName` (string) Last Name of the user Example: "Smith" - `friendlyName` (string) Last Name of the user Example: "John Smith" - `email` (string) Email of the user Example: "john.smith@company.com" - `company` (string) Company name of the user Example: "John's Company Inc." - `country` (string) Country of the user Example: "USA" - `contact` (number) Contact Number of the user Example: 1234567890 - `phone` (number) Alternate phone number of the user Example: 1234567890 - `userRoleId` (string) User role id of the user Example: "7d5620e0-f423-11e9-8071-89c0c4052141" - `userRoleName` (string) User role name of the user Example: "End user" - `groups` (array) List of user group ids the user is part of Example: ["7d6207c0-f423-11e9-8071-89c0c4052141"] - `status` (string) Allows updating the users status to either enable or disabled. These values are case sensitive. Enum: "enabled", "disabled" ## Response 200 fields (application/json): - `userId` (string) Current User ID Example: "7d675ef0-f423-11e9-8071-89c0c4052141" - `customerId` (string) Parent Customer ID Example: "1234567890" - `emailId` (string) User email Example: "jlake@company.com" - `firstName` (string) User first name Example: "John" - `lastName` (string) User last name Example: "Lake" - `roleId` (string) User role ID Example: "7d5620e0-f423-11e9-8071-89c0c4052141" - `status` (string) User account status Example: "enabled" - `groups` (array) List of group IDs that user belongs to Example: ["7d6207c0-f423-11e9-8071-89c0c4052141"] ## Response 400 fields (application/json): - `status` (string) Example: "error" - `message` (string) Example: "Detailed Message" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)